<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionDestroyLock Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/db1/a03646.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionDestroyLock Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionActionDestroyLock:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d2/db1/a03646.png" usemap="#ExpansionActionDestroyLock_map" alt=""/>
  <map id="ExpansionActionDestroyLock_map" name="ExpansionActionDestroyLock_map">
<area href="../../d6/de6/a03666.html" title="Provides base classes for other &quot;destroy&quot;-type actions (e.g. for raiding). The item to be destroyed i..." alt="ExpansionActionDestroyBase" shape="rect" coords="0,0,178,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8532c9dd576955a6ba4256df086d6b1f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/db1/a03646.html#a8532c9dd576955a6ba4256df086d6b1f">Setup</a> (<a class="el" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="el" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="el" href="../../d7/d82/a03774.html">ItemBase</a> item)</td></tr>
<tr class="separator:a8532c9dd576955a6ba4256df086d6b1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e2443fef85b2088a22c933eb424d75b"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/db1/a03646.html#a5e2443fef85b2088a22c933eb424d75b">DestroyCondition</a> (<a class="el" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="el" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="el" href="../../d7/d82/a03774.html">ItemBase</a> item, bool camera_check)</td></tr>
<tr class="separator:a5e2443fef85b2088a22c933eb424d75b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0eb31b155a802c076c3a06ddb963916"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/db1/a03646.html#ae0eb31b155a802c076c3a06ddb963916">CanBeDestroyed</a> (Object targetObject)</td></tr>
<tr class="separator:ae0eb31b155a802c076c3a06ddb963916"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c41b3b7b24d4a0ae481f42cc501d846"><td class="memItemLeft" align="right" valign="top">override Object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/db1/a03646.html#a9c41b3b7b24d4a0ae481f42cc501d846">GetActualTargetObject</a> (Object targetObject)</td></tr>
<tr class="separator:a9c41b3b7b24d4a0ae481f42cc501d846"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionActionDestroyLock.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d9/d0e/a08884_source.html#l00013">13</a> of file <a class="el" href="../../d9/d0e/a08884_source.html">expansionactiondestroylock.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae0eb31b155a802c076c3a06ddb963916" name="ae0eb31b155a802c076c3a06ddb963916"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0eb31b155a802c076c3a06ddb963916">&#9670;&#160;</a></span>CanBeDestroyed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionDestroyLock::CanBeDestroyed </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>targetObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d0e/a08884_source.html#l00144">144</a> of file <a class="el" href="../../d9/d0e/a08884_source.html">expansionactiondestroylock.c</a>.</p>

</div>
</div>
<a id="a5e2443fef85b2088a22c933eb424d75b" name="a5e2443fef85b2088a22c933eb424d75b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e2443fef85b2088a22c933eb424d75b">&#9670;&#160;</a></span>DestroyCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionDestroyLock::DestroyCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/de5/a03966.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/de3/a04854.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d82/a03774.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>camera_check</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Only on client, NULL on server as we cannot use proxies here</p>
<p >Only allow interaction with entrances</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d0e/a08884_source.html#l00053">53</a> of file <a class="el" href="../../d9/d0e/a08884_source.html">expansionactiondestroylock.c</a>.</p>

</div>
</div>
<a id="a9c41b3b7b24d4a0ae481f42cc501d846" name="a9c41b3b7b24d4a0ae481f42cc501d846"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c41b3b7b24d4a0ae481f42cc501d846">&#9670;&#160;</a></span>GetActualTargetObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override Object ExpansionActionDestroyLock::GetActualTargetObject </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>targetObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d9/d0e/a08884_source.html#l00168">168</a> of file <a class="el" href="../../d9/d0e/a08884_source.html">expansionactiondestroylock.c</a>.</p>

</div>
</div>
<a id="a8532c9dd576955a6ba4256df086d6b1f" name="a8532c9dd576955a6ba4256df086d6b1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8532c9dd576955a6ba4256df086d6b1f">&#9670;&#160;</a></span>Setup()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionDestroyLock::Setup </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/de5/a03966.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/de3/a04854.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d82/a03774.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >1% health</p>

<p class="definition">Definition at line <a class="el" href="../../d9/d0e/a08884_source.html#l00015">15</a> of file <a class="el" href="../../d9/d0e/a08884_source.html">expansionactiondestroylock.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/continuous/<a class="el" href="../../d9/d0e/a08884_source.html">expansionactiondestroylock.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/db1/a03646.html">ExpansionActionDestroyLock</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
